1

I have installed Grass 7.0.5 but I cannot open a mapset via QGIS 2.18. I receive this error message:

Cannot open the mapset. Mapset lock failed (exitStatus=1, exitCode=0, errorCode=1, error=Process crashed stdout=, stderr=dyld: Library not loaded: /usr/local/lib/libintl.8.dylib
  Referenced from: /Applications/GRASS-7.0.app/Contents/MacOS/lib/libgrass_gis.7.0.5.dylib
  Reason: image not found
)

If I create a new mapset instead of opening one, the error reads "New mapset successfully created, but cannot be opened:" and then the rest of the error as above.

I am running Mac OSX El Capitan, and I have already disabled SIP. I also encountered, and solved, Problems finding GRASS module after upgrading QGIS (Mac).

Can this latest problem be solved, or should I revert to Grass 6?

  • Try to create mapset from grass7. It may be a grass issue. – Zoltan Dec 2 '16 at 7:48
  • Hmm, yeah, I can't even open Grass 7 on its own. "Terminal got an error: Can't open window 1. (-1728)" – Nathan Dec 2 '16 at 14:23
  • I have similar issues. Grass won't open on its own. Also when I make a new mapset it crashes QGIS – Ryan Garnett Jan 9 '17 at 22:45
  • sudo ln -s /Applications/GRASS-7.0.app/Contents/MacOS/lib/libintl.8.dylib /usr/local/lib – Gwang-Jin Apr 17 '17 at 14:26
  • Welcome to GIS SE! As a new user please take the tour to learn about our focused Q&A format. Giving a line of code without any context or explanation does not answer the question at all. Please edit your answer to explain where to use that code, how to use it, and what it does. Answers that don't include explanations may be removed. – Midavalo Apr 17 '17 at 14:57
-1

When I met the same problem, I was able to solve it by commanding:

sudo ln -s /Applications/GRASS-7.0.app/Contents/MacOS/lib/libintl.8.dylib /usr/local/lib

In your case, didn't it help?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.